Last updated: AUG 6, 2024
Adding clear, contextual notes to SOAR artifacts to improve the understanding, communication, and maintainability of security investigation workflows.
|
Implementation |
System |
|
Command Category |
System Utility |
|
Tags |
Artifact |
Inputs
|
Parameter Name |
Required/Optional |
Description |
Sample Data |
|---|---|---|---|
|
Artifact Name |
Required |
The name of the artifact |
D3CYBER-DC |
|
Artifact Type |
Optional |
Artifact type |
Internal Endpoint |
|
Note |
Required |
A note will be added to the input artifact |
Notes sample text |
Output
Remote Command API
The D3 command API allows you to send requests to D3 SOAR to execute this utility command via REST API.
Request
POST
https://{base_url}/{api_namespace}/api/Command/AddNotesToArtifacts
Headers
Please refer to the page Webhook Configuration Guide - Authentication Method: API Keys for more details.
Request Body
{
"Username": <Username here>,
"Site": <Site here>,
"CommandParams": {
"Artifact Name": <Artifact Name here>,
"Artifact Type": <Artifact Type here>,
"Note": <Note here>
}
}
Body Parameters
|
Parameter Name |
Type |
Required/Optional |
Description |
|---|---|---|---|
|
Username |
|
Required |
The username of your vsoc account. |
|
Site |
|
Required |
The site you chose on VSOC. |
|
Artifact Name |
|
Required |
The name of the artifact |
|
Artifact Type |
|
Optional |
Artifact type |
|
Note |
|
Required |
A note will be added to the input artifact |
Sample Request
Sample Data
{
"Username": "Admin",
"Site": "Security Operations",
"CommandParams": {
"Artifact Name": "D3CYBER-DC",
"Artifact Type": "Internal Endpoint",
"Note": "Notes sample text"
}
}
Response
Response Fields
|
Field Name |
Type |
Description |
|---|---|---|
|
error |
|
The error message if the API request has failed. |
|
returnData |
|
The return data from the API request. |
|
contextData |
|
The context data from the API request. |
Sample Response
{
"error": "",
"returnData": "Successful",
"contextData": [
{
"Artifact Name": "D3CYBER-DC",
"Artifact Type": "Internal Endpoint",
"Note": "Notes sample text",
"LastModifiedLocalDate": "01/26/2022 09:42 PM",
"Result": "Successful"
}
]
}